Summary: SAM Client
Name: lcg-sam-client-sensors
Version: 1.4.19
Vendor: LCG/CERN
Release: 1
Copyright: LCG
Group: LCG
Source: %{name}.src.tgz
BuildArch: noarch
Prefix:	/opt/lcg
BuildRoot: %{_tmppath}/%{name}-%{version}
Packager: same-devel@cern.ch
Requires: python, lcg-sam-client >= 1.2.3, openssl-devel, gcc
AutoReqProv: no

%description 
This package contains basic sensors for SAM.

%prep

%setup -c

%build
make install prefix=%{buildroot}%{prefix}

%post
chmod 755 %{prefix}/same/client/sensors
chmod 755 %{prefix}/same/client/sensors/*

%files
%defattr(-,root,root)
%config(noreplace) %{prefix}/same/client/sensors/common/config.sh
%config(noreplace) %{prefix}/same/client/sensors/common/prefSE.lst
%config(noreplace) %{prefix}/same/client/sensors/common/prefLFC.lst
%config(noreplace) %{prefix}/same/client/sensors/common/sam-cert.pem
%{prefix}/same/client/sensors/common/choose-SE
%{prefix}/same/client/sensors/common/choose-LFC
%{prefix}/same/client/sensors/common/publish-env-vars
%{prefix}/same/client/sensors/FTS/check-FTS
%{prefix}/same/client/sensors/FTS/prepare-FTS
%{prefix}/same/client/sensors/FTS/tests
%config(noreplace) %{prefix}/same/client/sensors/FTS/test-sequence.lst
%config(noreplace) %{prefix}/same/client/sensors/FTS/atlas-surls.map
%config(noreplace) %{prefix}/same/client/sensors/FTS/dteam-surls.map
%config(noreplace) %{prefix}/same/client/sensors/FTS/ops-surls.map
%{prefix}/same/client/sensors/glite-testjob
%{prefix}/same/client/sensors/host-cert/check-host-cert
%{prefix}/same/client/sensors/host-cert/prepare-host-cert
%config(noreplace) %{prefix}/same/client/sensors/host-cert/config.sh
%{prefix}/same/client/sensors/host-cert/tests
%{prefix}/same/client/sensors/LFC
%{prefix}/same/client/sensors/LFC_C
%{prefix}/same/client/sensors/LFC_L
%{prefix}/same/client/sensors/SE
%{prefix}/same/client/sensors/SRM
%{prefix}/same/client/sensors/SRMv1
%{prefix}/same/client/sensors/SRMv2
%config(noreplace) %{prefix}/same/client/sensors/testjob/ca_data.conf
%{prefix}/same/client/sensors/testjob/ca_data.dat
%{prefix}/same/client/sensors/testjob/check-testjob
%{prefix}/same/client/sensors/testjob/config.sh
%{prefix}/same/client/sensors/testjob/prepare-testjob
%config(noreplace) %{prefix}/same/client/sensors/testjob/test-sequence.lst
%{prefix}/same/client/sensors/testjob/tests
%{prefix}/same/client/sensors/VOBOX
%{prefix}/same/client/sensors/WN

%config(noreplace) %{prefix}/same/client/sensors/cream-testjob/ca_data.conf
%{prefix}/same/client/sensors/cream-testjob/ca_data.dat
%{prefix}/same/client/sensors/cream-testjob/check-cream-testjob
%config(noreplace) %{prefix}/same/client/sensors/cream-testjob/config.sh
%{prefix}/same/client/sensors/cream-testjob/prepare-cream-testjob
%config(noreplace) %{prefix}/same/client/sensors/cream-testjob/test-sequence.lst
%{prefix}/same/client/sensors/cream-testjob/tests

%{prefix}/same/client/sensors/CREAMCE/check-CREAMCE
%{prefix}/same/client/sensors/CREAMCE/prepare-CREAMCE
%{prefix}/same/client/sensors/CREAMCE/status
%{prefix}/same/client/sensors/CREAMCE/testjob.sh
%config(noreplace) %{prefix}/same/client/sensors/CREAMCE/config.sh
%config(noreplace) %{prefix}/same/client/sensors/CREAMCE/testjob.jdl
%config(noreplace) %{prefix}/same/client/sensors/CREAMCE/testjob-djs.jdl
%config(noreplace) %{prefix}/same/client/sensors/CREAMCE/test-sequence.lst
%{prefix}/same/client/sensors/CREAMCE/tests

%config(noreplace) %{prefix}/same/client/sensors/CE/config.sh
%{prefix}/same/client/sensors/CE/check-CE
%{prefix}/same/client/sensors/CE/prepare-CE
%{prefix}/same/client/sensors/CE/status
%{prefix}/same/client/sensors/CE/testjob.sh
%config(noreplace) %{prefix}/same/client/sensors/CE/testjob.jdl
%{prefix}/same/client/sensors/CE/tests
%config(noreplace) %{prefix}/same/client/sensors/CE/test-sequence.lst
%config(noreplace) %{prefix}/same/client/sensors/gCE/config.sh
%{prefix}/same/client/sensors/gCE/check-gCE
%{prefix}/same/client/sensors/gCE/prepare-gCE
%{prefix}/same/client/sensors/gCE/status
%config(noreplace) %{prefix}/same/client/sensors/gCE/testjob.jdl
%{prefix}/same/client/sensors/gCE/tests
%config(noreplace) %{prefix}/same/client/sensors/gCE/test-sequence.lst
%{prefix}/same/client/sensors/RB/check-RB
%config(noreplace) %{prefix}/same/client/sensors/RB/config.sh
%config(noreplace) %{prefix}/same/client/sensors/RB/edg_wl_ui_cmd_var.conf
%config(noreplace) %{prefix}/same/client/sensors/RB/edg_wl_ui.conf
%config(noreplace) %{prefix}/same/client/sensors/RB/prefCE.lst
%{prefix}/same/client/sensors/RB/prepare-RB
%{prefix}/same/client/sensors/RB/status
%config(noreplace) %{prefix}/same/client/sensors/RB/testjob.jdl
%{prefix}/same/client/sensors/RB/tests
%config(noreplace) %{prefix}/same/client/sensors/RB/test-sequence.lst
%{prefix}/same/client/sensors/gRB/check-gRB
%config(noreplace) %{prefix}/same/client/sensors/gRB/config.sh
%config(noreplace) %{prefix}/same/client/sensors/gRB/glite_wms.conf
%config(noreplace) %{prefix}/same/client/sensors/gRB/prefCE.lst
%{prefix}/same/client/sensors/gRB/prepare-gRB
%{prefix}/same/client/sensors/gRB/status
%config(noreplace) %{prefix}/same/client/sensors/gRB/testjob.jdl
%{prefix}/same/client/sensors/gRB/tests
%config(noreplace) %{prefix}/same/client/sensors/gRB/test-sequence.lst

%{prefix}/same/client/sensors/MPI/check-MPI
%{prefix}/same/client/sensors/MPI/prepare-MPI
%{prefix}/same/client/sensors/MPI/status
%{prefix}/same/client/sensors/MPI/testjob-mpi.sh
%config(noreplace) %{prefix}/same/client/sensors/MPI/test-sequence.lst
%config(noreplace) %{prefix}/same/client/sensors/MPI/config.sh
%config(noreplace) %{prefix}/same/client/sensors/MPI/testjob-mpi.jdl
%{prefix}/same/client/sensors/MPI/tests

%{prefix}/same/client/sensors/MPI-testjob/check-MPI-testjob
%{prefix}/same/client/sensors/MPI-testjob/config.sh
%{prefix}/same/client/sensors/MPI-testjob/prepare-MPI-testjob
%{prefix}/same/client/sensors/MPI-testjob/hooks.sh
%{prefix}/same/client/sensors/MPI-testjob/mpi.sh
%{prefix}/same/client/sensors/MPI-testjob/pingtest.c
%config(noreplace) %{prefix}/same/client/sensors/MPI-testjob/test-sequence.lst
%{prefix}/same/client/sensors/MPI-testjob/tests

%clean
rm -rf $RPM_BUILD_ROOT

